<xsl:stylesheet xmlns:xsl='http://www.w3.org/TR/WD-xsl' version='1.0'>

	<xsl:template match='/'>
		<HTML>
			<HEAD><TITLE>Rules</TITLE></HEAD>
			<BODY STYLE='font-family:Arial, helvetica, sans-serif; font-size:12pt; background-color:#EEEEEE'>
			<xsl:for-each select='AssociationModel/Assocn_crules'>
    			<table><th>Rules generated at specialization step:
        		<xsl:value-of select='NoRefSteps'/>
        		, granularity: 
        		<xsl:value-of select='NoOnthoSteps'/>
        		</th></table>
        		<xsl:for-each select='Rule/InfoRule' order-by='-consequentLength'>
        		<xsl:script><![CDATA[ 	var num=1;
		                      function updateRuleNumber(){
	        	              return num++;
	        	    }]]>
	        	</xsl:script>	    
			<DIV STYLE='background-color:teal; color:white; padding:4px'>
        		<xsl:eval>updateRuleNumber()</xsl:eval>)
        		<!--<xsl:value-of select='noRule'/>)-->
        		<xsl:value-of select='antecedent'/> <SPAN STYLE='color:black; background-color:yellow'>==></SPAN>
        		<xsl:value-of select='consequent'/>
      		</DIV>
      		<DIV STYLE='margin-left:20px; margin-bottom:1em; font-size:10pt'>
        		support: <xsl:value-of select='support'/>
        		confidence: <xsl:value-of select='confidence'/>
        		<DIV STYLE='color:red; font-size:8pt'>
        			<xsl:value-of select='SupportObjList'/>
        		</DIV>
      		</DIV>
	
        		</xsl:for-each>
    			</xsl:for-each>
  			</BODY>
		</HTML>
	</xsl:template>
</xsl:stylesheet>

